Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm.function.util
Class MetaABMFunctionAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.metaabm.function.util.MetaABMFunctionAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory

Direct Known Subclasses:
  MetaABMFunctionItemProviderAdapterFactory

    public class MetaABMFunctionAdapterFactory

extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

Field Summary
`protected static MetaABMFunctionPackage` | `modelPackage` The cached model package.
`protected MetaABMFunctionSwitch<org.eclipse.emf.common.notify.Adapter>` | `modelSwitch` The switch that delegates to the `createXXX` methods.

Constructor Summary
`MetaABMFunctionAdapterFactory()` Creates an instance of the adapter factory.

Method Summary
`org.eclipse.emf.common.notify.Adapter` | `createAdapter(org.eclipse.emf.common.notify.Notifier target)` Creates an adapter for the `target`.
`org.eclipse.emf.common.notify.Adapter` | `createEObjectAdapter()` Creates a new adapter for the default case.
`org.eclipse.emf.common.notify.Adapter` | `createFArgumentArrayPrototypeAdapter()` Creates a new adapter for an object of class '`FArgument Array Prototype`'.
`org.eclipse.emf.common.notify.Adapter` | `createFArgumentPrototypeAdapter()` Creates a new adapter for an object of class '`FArgument Prototype`'.
`org.eclipse.emf.common.notify.Adapter` | `createFFunctionAdapter()` Creates a new adapter for an object of class ' `FFunction`'.
`org.eclipse.emf.common.notify.Adapter` | `createFGenericAdapter()` Creates a new adapter for an object of class ' `FGeneric`'.
`org.eclipse.emf.common.notify.Adapter` | `createFGenericFunctionAdapter()` Creates a new adapter for an object of class '`FGeneric Function`'.
`org.eclipse.emf.common.notify.Adapter` | `createFGenericLogicalAdapter()` Creates a new adapter for an object of class '`FGeneric Logical`'.
`org.eclipse.emf.common.notify.Adapter` | `createFImplementedLibraryAdapter()` Creates a new adapter for an object of class '`FImplemented Library`'.
`org.eclipse.emf.common.notify.Adapter` | `createFLibraryAdapter()` Creates a new adapter for an object of class ' `FLibrary`'.
`org.eclipse.emf.common.notify.Adapter` | `createFLogicalAdapter()` Creates a new adapter for an object of class ' `FLogical`'.
`org.eclipse.emf.common.notify.Adapter` | `createFLogicalOperatorAdapter()` Creates a new adapter for an object of class '`FLogical Operator`'.
`org.eclipse.emf.common.notify.Adapter` | `createFMultiArgumentPrototypeAdapter()` Creates a new adapter for an object of class '`FMulti Argument Prototype`'.
`org.eclipse.emf.common.notify.Adapter` | `createFOperatorAdapter()` Creates a new adapter for an object of class ' `FOperator`'.
`org.eclipse.emf.common.notify.Adapter` | `createIArtifactAdapter()` Creates a new adapter for an object of class '`IArtifact`'.
`org.eclipse.emf.common.notify.Adapter` | `createIIDAdapter()` Creates a new adapter for an object of class '`IID`'.
`org.eclipse.emf.common.notify.Adapter` | `createITypedAdapter()` Creates a new adapter for an object of class '`ITyped`'.
`org.eclipse.emf.common.notify.Adapter` | `createITypedArrayAdapter()` Creates a new adapter for an object of class ' `ITyped Array`'.
`org.eclipse.emf.common.notify.Adapter` | `createSImplementedAdapter()` Creates a new adapter for an object of class ' `SImplemented`'.
`org.eclipse.emf.common.notify.Adapter` | `createSNamedAdapter()` Creates a new adapter for an object of class '`SNamed`'.
`boolean` | `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object.

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modelPackage

    protected static MetaABMFunctionPackage modelPackage

  The cached model package.

### modelSwitch

    protected MetaABMFunctionSwitch<org.eclipse.emf.common.notify.Adapter> modelSwitch

  The switch that delegates to the `createXXX` methods.

Constructor Detail

### MetaABMFunctionAdapterFactory

    public MetaABMFunctionAdapterFactory()

  Creates an instance of the adapter factory.

Method Detail

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object object)

  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Specified by:
    `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Returns:
    whether this factory is applicable for the type of the object.

### createAdapter

    public org.eclipse.emf.common.notify.Adapter createAdapter(org.eclipse.emf.common.notify.Notifier target)

  Creates an adapter for the `target`.

  Overrides:
    `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.

### createFArgumentPrototypeAdapter

    public org.eclipse.emf.common.notify.Adapter createFArgumentPrototypeAdapter()

  Creates a new adapter for an object of class '`FArgument Prototype`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FArgumentPrototype`

### createFArgumentArrayPrototypeAdapter

    public org.eclipse.emf.common.notify.Adapter createFArgumentArrayPrototypeAdapter()

  Creates a new adapter for an object of class '`FArgument Array Prototype`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FArgumentArrayPrototype`

### createFFunctionAdapter

    public org.eclipse.emf.common.notify.Adapter createFFunctionAdapter()

  Creates a new adapter for an object of class ' `FFunction`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FFunction`

### createFLogicalAdapter

    public org.eclipse.emf.common.notify.Adapter createFLogicalAdapter()

  Creates a new adapter for an object of class ' `FLogical`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FLogical`

### createFOperatorAdapter

    public org.eclipse.emf.common.notify.Adapter createFOperatorAdapter()

  Creates a new adapter for an object of class ' `FOperator`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FOperator`

### createFLogicalOperatorAdapter

    public org.eclipse.emf.common.notify.Adapter createFLogicalOperatorAdapter()

  Creates a new adapter for an object of class '`FLogical Operator`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FLogicalOperator`

### createFGenericAdapter

    public org.eclipse.emf.common.notify.Adapter createFGenericAdapter()

  Creates a new adapter for an object of class ' `FGeneric`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FGeneric`

### createFGenericFunctionAdapter

    public org.eclipse.emf.common.notify.Adapter createFGenericFunctionAdapter()

  Creates a new adapter for an object of class '`FGeneric Function`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FGenericFunction`

### createFGenericLogicalAdapter

    public org.eclipse.emf.common.notify.Adapter createFGenericLogicalAdapter()

  Creates a new adapter for an object of class '`FGeneric Logical`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FGenericLogical`

### createFLibraryAdapter

    public org.eclipse.emf.common.notify.Adapter createFLibraryAdapter()

  Creates a new adapter for an object of class ' `FLibrary`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FLibrary`

### createFImplementedLibraryAdapter

    public org.eclipse.emf.common.notify.Adapter createFImplementedLibraryAdapter()

  Creates a new adapter for an object of class '`FImplemented Library`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FImplementedLibrary`

### createFMultiArgumentPrototypeAdapter

    public org.eclipse.emf.common.notify.Adapter createFMultiArgumentPrototypeAdapter()

  Creates a new adapter for an object of class '`FMulti Argument Prototype`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `FMultiArgumentPrototype`

### createIIDAdapter

    public org.eclipse.emf.common.notify.Adapter createIIDAdapter()

  Creates a new adapter for an object of class '`IID`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IID`

### createITypedAdapter

    public org.eclipse.emf.common.notify.Adapter createITypedAdapter()

  Creates a new adapter for an object of class '`ITyped`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ITyped`

### createSNamedAdapter

    public org.eclipse.emf.common.notify.Adapter createSNamedAdapter()

  Creates a new adapter for an object of class '`SNamed`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SNamed`

### createITypedArrayAdapter

    public org.eclipse.emf.common.notify.Adapter createITypedArrayAdapter()

  Creates a new adapter for an object of class ' `ITyped Array`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `ITypedArray`

### createIArtifactAdapter

    public org.eclipse.emf.common.notify.Adapter createIArtifactAdapter()

  Creates a new adapter for an object of class '`IArtifact`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `IArtifact`

### createSImplementedAdapter

    public org.eclipse.emf.common.notify.Adapter createSImplementedAdapter()

  Creates a new adapter for an object of class ' `SImplemented`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.

  Returns:
    the new adapter.
  See Also:
    `SImplemented`

### createEObjectAdapter

    public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

  Creates a new adapter for the default case. This default implementation returns null.

  Returns:
    the new adapter.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD